FreeBSD : libzip -- integer overflow (264749ae-d565-11e4-b545-00269ee29e57)

High Nessus Plugin ID 82313


The remote FreeBSD host is missing one or more security-related updates.


libzip developers report :

Avoid integer overflow. Fixed similarly to patch used in PHP copy of libzip.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 82313

File Name: freebsd_pkg_264749aed56511e4b54500269ee29e57.nasl

Version: $Revision: 1.9 $

Type: local

Published: 2015/03/30

Modified: 2015/10/05

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:libzip, p-cpe:/a:freebsd:freebsd:openlierox, p-cpe:/a:freebsd:freebsd:ppsspp, p-cpe:/a:freebsd:freebsd:ppsspp-devel, p-cpe:/a:freebsd:freebsd:radare2, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2015/03/28

Vulnerability Publication Date: 2015/03/18

Reference Information

CVE: CVE-2015-2331